Introduction

AlphaXP Lite

AlphaXP Lite is a tool which adds Advanced Transparency Effects to your computer.

What does it do?
AlphaXP Lite is part of the most advanced Windows transparency software available today. As a lite version it is missing many of the full version's features, but this does not render AlphaXP Lite unworthy. AlphaXP Lite is still very powerful and an excellent program in it's own right. Some of AlphaXP Lite's features include: a direct way to set transparency with a customizable keyboard shortcut, taskbar transparency with an optional fade-in effect, and Advanced Transparency, which is a set of special techniques that greatly improve Windows transparency.

AlphaXP Lite has 4 main features:

  • Smooth User Interface & Extra Options

    • AlphaXP Lite is built with users in mind. Many improvements have been made to the standard Windows interface and you will find that AlphaXP Lite just feels better than the average Windows program. The polished interface and extra options, which include start options and a skin changer, make AlphaXP Lite very nice indeed.
  • Advanced Transparency

    • AlphaXP Lite stands out among transparency programs because it is the only one to improve Windows transparency by eliminating flicker and other glitches from both Windows 2000 & Windows XP.
  • Keyboard Shortcut

    • The Keyboard Shortcut feature allows you to change a window's effects simply by using an easy keyboard shortcut. This keyboard shortcut is a three-key combination and can be customized to suit your preferences. The keyboard shortcut can change a window's transparency to preset levels, fine tune transparency, remove transparency, and toggle "Always On Top" on or off.
  • Taskbar Transparency

    • The Taskbar Transparency feature allows you to change the taskbar's transparency to any degree possible. Taskbar Transparency also has a Fade-In feature, which smoothly fades-in the taskbar whenever you mouse over it. Fade-In can be toggled on or off, and has five speed settings to suit your preferences.

AlphaXP Lite is Freeware
AlphaXP Lite is freeware, which means you are free to use it for as long as you accept the license agreement. ZeroHero Software is providing AlphaXP Lite free of charge as a courtesy to the users who don't want all the features and benefits of purchasing the full version, but still want quality Windows transparency software. AlphaXP Lite is fully functional and will not exhibit any "nags" or try to push the full version on you. Please visit the ZeroHero Software Website for more information.

No Junk
ZeroHero Software does NOT support junk! Our products are junk free and will always be junk free. This means you will never find any adware, spyware, or other "bundled extras" contained in our products. Our products do not collect any personal information nor do they "phone home". ZeroHero Software is software the way it should be, quality software.

System Requirements

  • Microsoft Windows 2000/XP
  • Note: Transparent windows use more CPU & RAM than non-transparent windows. This is because a transparent window must spend these resources calculating what it should look like based on it's own appearence, it's transparency level, and the appearence of windows beneath it. So the more and bigger transparent windows you have, the more resources your system must use.


Smooth User Interface & Extra Options

AlphaXP Lite is built with users in mind. Many improvements have been made to the standard Windows interface and you will find that AlphaXP Lite just feels better than the average Windows program. The polished interface and extra options, which include start options and a skin changer, make AlphaXP Lite very nice indeed.

A User Interface in Windows usually consists of a window with several controls such as buttons, check boxes, combo boxes, sliders, menus, and others. AlphaXP Lite enhances these controls with various improvements to boost their functionality to better serve users. Interface enhancements include: a Snap-To ability for sliders that make using sliders much easier, Right-Click Menus for simplicity and easy customization, Advanced Menus which add the power of check boxes and radio buttons to menus, and other enhancements. Also, AlphaXP Lite minimizes to the system tray, but even as a small icon in the system tray you are still able use almost everything on the window due to the power of Advanced Menus!

The AlphaXP Lite System Tray Menu

It is easy to use and configure AlphaXP Lite:

  • Choose your Options

    • AlphaXP Lite has two options to choose from, both with their own check box. Just check the options you want and uncheck the options you don't want.
  • Customize your Options

    • Both of AlphaXP Lite's options can be customized in some way. Both options have special controls on the AlphaXP Lite window for their customization and both options also have right-click customization menus for more customization. To access these right-click customization menus simply right-click the check boxes to bring up their customization menu or right-click the AlphaXP Lite system tray icon to access all of the menus. This customization step is not nessessary as AlphaXP Lite comes preconfigured in a way that most users would find acceptable.
  • Minimize & Use

    • AlphaXP Lite is designed to be a system enhancement, not an application to be actively used, such as a word processor. System enhancements bring new functionality to your system while working quietly in the background, some examples of system enhancements you probably already have are the Volume Control and Internet Connection Status icons in the system tray. When you minimize AlphaXP Lite, it minimizes to the system tray so that it too can work quietly in the background. Just like you probably don't think about the Volume Control except when you want to change the volume, you shouldn't think about AlphaXP Lite except when you want to change it's options.

In addition to AlphaXP Lite's two main options and their customization, AlphaXP Lite has a few extra options which affect AlphaXP Lite as a whole. To access these extra options simply left-click the blue AlphaXP Button (located in the top-right corner of the AlphaXP Lite window) or right-click the AlphaXP Lite tray icon (usually located in the bottom-right corner of the screen). Doing this will bring up the Options menu, which is where the extra options are located along with three other items.

The Options Menu
Other Items:
  • Help

    • Brings up this help file.
  • About AlphaXP Lite...

    • Brings up a window with some information about AlphaXP Lite.
  • www.zeroherosoftware.com

    • Brings up the official ZeroHero Software website, home of AlphaXP Lite.
The Extra Options:
  • Start Minimized

    • AlphaXP Lite will already be minimized to the system tray on start.
  • Start With Windows

    • AlphaXP Lite will automatically start with Windows, goes great with Start Minimized.
  • Skin Changer

    • Change the look of AlphaXP Lite.

The Whirlpool Lite Skin


Advanced Transparency

AlphaXP Lite Flicker-Free
Compare: Basic Transparency vs. Advanced Transparency

Advanced Transparency greatly improves AlphaXP Lite's core functionality, Windows transparency. Basic Windows transparency has many unwanted side effects such as flicker, blurriness, screen artifacts, misaligned text, inconsistencies between Windows 2000 & Windows XP transparency, and other glitches. Advanced Transparency eliminates almost all of these unwanted side effects, a feat that no other transparency program even attempts. Best of all, Advanced Transparency works automatically and is competely seamless to the user, all you have to know is that when you use AlphaXP Lite, you use the best.

Screen Artifact Glitch
Some Basic Transparency Glitches that Advanced Transparency Fixes


Keyboard Shortcut

Keyboard Shortcut Keys

Red keys are prefix keys
Yellow keys are change transparency keys
Purple keys are special keys

The Keyboard Shortcut feature is really easy to use. It works like this:

  1. Press and hold your two prefix keys
  2. Press a change transparency key or special key
  3. Release your two prefix keys

Its that simple!

The Keyboard Shortcut works as a three-key combination, the first two keys are called the prefix and the last key is called the suffix. When used, the Keyboard Shortcut performs one of five abilities depending on the suffix. These five abilities are: change transparency to preset levels, fine tune transparency +1, fine tune transparency -1, remove transparency, and toggle always on top.

Prefix Keys

The prefix keys are the alt, control, and shift keys. The prefix is a two-key combination and you can change which two keys make up the combination to suit your preferences. You must hold down your two prefix keys for the change transparency keys and special keys to work. The order in which you press the prefix keys and which side of the keyboard they're on does not matter.

Change Transparency Keys

Change Transparency Keys

The change transparency keys are the number keys, 0-9, and the function keys, F1-F12. You can choose to use either set of keys to suit your preferences. The 1 and F1 keys change a window's transparency level to 0%, or fully opaque. As you go right, the keys change transparency in ever increasing levels. The 0 and F12 keys change a window's transparency level to a very high percentage, so high the window is hardly visible.

Special Keys

The special keys are the grave accent key, tab key, space key, minus key, equals key, backspace key, enter key, numberpad decimal key, numberpad minus key, numberpad plus key, and numberpad enter key. Special Keys perform one of four actions:
  • Fine Tune -1

    • The minus key and numberpad minus key perform this action. Fine Tune -1 causes a window to become slightly less visible.
  • Fine Tune +1

    • The plus key and numberpad plus key perform this action. Fine Tune +1 causes a window to become slightly more visible.
  • Remove Transparency

    • The grave accent key, backspace key, enter key, and numberpad enter key perform this action. Remove Transparency causes a window to become fully opaque & frees resources your system uses for the transparency effects. About freeing resources: A window that does not have transparency effects does not have to spend extra processing time and memory calculating what the window should look like, thus a window without transparency effects is more responsive than the same window with transparency effects.
  • Toggle Always On Top

    • The tab key, space key, and numberpad decimal key perform this action. Toggle Always On Top adds or removes a window's Always On Top effect. The Always On Top effect causes a window to become always visible, even when using another window. This means that a window with the Always On Top effect can never be covered by another window, unless the other window also has the Always On Top effect.
Please note that Fine Tuning changes a window's transparency level by 1, the smallest value allowed by Windows. This change is extremely small and you probably won't notice the difference. However, you will notice that lots of fine tuning adds up. The easiest way to go about that is simply to hold the key down. Your keyboard's repeat feature will then take over and send lots of key presses for you.


Taskbar Transparency

Taskbar Transparency with Fade-In

The Taskbar Transparency feature allows you to change the taskbar's transparency to any degree possible. Taskbar Transparency also has a Fade-In feature, which smoothly fades-in the taskbar whenever you mouse over it. Fade-In can be toggled on or off, and has five speed settings to suit your preferences.

Taskbar Transparency is easy to use and customize:

  1. Check the Taskbar Transparency check box to enable Taskbar Transparency or uncheck it to disable Taskbar Transparency.

  2. Use the Taskbar Transparency slider to change the taskbar's transparency to a setting that you like.

Fade-In is also easy to use and customize:

  1. Bring up the Taskbar Transparency menu by right-clicking the Taskbar Transparency check box or by right-clicking the AlphaXP Lite tray icon.

  2. Check the Fade-In check box to enable the Fade-In feature or uncheck it to disable the Fade-In feature. (Tip: Right-clicking a menu item, such as the Fade-In check box, will cause the menu to remain. This way you won't have to bring up a menu more than once if you wish to use more than one item.)

  3. Choose a fade speed that you like by clicking one of the five speed settings, which range from "Fastest", which offers near instant fades but is still noticably smooth, to "Slowest", which offers very smooth, pleasing fades.


Changes & Known Issues

AlphaXP Lite 1.1.3 to 1.1.4 Changes:

  • Fixed a large number of compiler warnings that had little operational impact
  • Changed start-up routine so that AlphaXP Lite no longer runs if AlphaXP is running
  • Changed deprecated string manipulation routines to the new security enhanced versions
  • Fixed missing .dll errors by using static linking
  • Recompressed some help file graphics
  • Changed the way certain functions are found by assuming OS is required version of Windows
  • Added check for required version of Windows to installer
  • Added registry clean-up routines to uninstaller
  • Added check for AlphaXP Lite is running and close if found to installer/uninstaller

AlphaXP Lite 1.1.2 to 1.1.3 Changes:

  • Removed trial code
  • Removed eSellerate Activation

AlphaXP Lite 1.1.1 to 1.1.2 Changes:

  • Changed trial code slightly because of new installer

AlphaXP Lite 1.1 to 1.1.1 Changes:

  • Added eSellerate Software Delivery Wizard & Serial/Activation

AlphaXP Lite 1.0 to 1.1 Changes:

  • Removed Visit Website Question from Start Sequence
  • Added Help File
  • Added Start Minimized Option
  • Added Start With Windows Option
  • Upgraded Options Menu to Advanced Options Menu
  • Added Advanced Options Menu to Advanced Tray Menu
  • Upgraded Entire AlphaXP Lite Program to Unicode for Speed Increase & Better International Support
  • Fixed Taskbar Fade-In Bug where Fade-In would sometimes be loaded as On even if it were saved as Off
  • Fixed Taskbar Fade-In Bug where the Taskbar would stay Faded-In if you unchecked Fade-In while the Taskbar was Faded-In
  • Added Numperpad, Enter, and Backspace Support to Keyboard Shortcut
  • Added Toggle Always On Top to Keyboard Shortcut
  • Fixed Advanced Menus Bug where Advanced Menus wouldn't end normally if the last item selected was a separator
  • Changed some texts (tooltips, feature names, etc.) for more accurate description
  • Refactored Taskbar Transparency & Taskbar Fade-In for Speed Increase
  • Refactored Keyboard Shortcut for Speed Increase
  • Optimized some miscellaneous functions for Speed Increase

Known Issues yet to be resolved:

  • Sometimes while running Windows XP for a long time, especially after running a full screen game, some system wide change occurs which interferes with the correct operation of the Flicker-Free portion of Advanced Transparency. This causes Flicker-Free to appear as if it not working at all. The exact nature of the system wide change and what causes it is unknown. Restarting Windows XP resets this unknown system wide change back to its proper state.
  • There are still some glitches still not taken care of by the Glitch-Free portion of Advanced Transparency.

Have a suggestion or insight which may improve AlphaXP Lite? Please contact us!


License Agreement

AlphaXP Lite

LICENSE AGREEMENT

IMPORTANT - READ CAREFULLY:

This License Agreement ("Agreement") is a legal agreement between the end user ("You") and ZeroHero Software ("ZeroHero") for the software product identified above, which includes computer software, associated media, and electronic documentation ("Software Product"). By installing or using the Software Product, you agree to be bound by the terms of this Agreement. If you do not agree to the terms of this Agreement, do not install or use the Software Product.

SOFTWARE PRODUCT USE LICENSE
Subject to the conditions described below, ZeroHero grants you the non-exclusive, non-transferable, limited right and license to install and use one copy of the Software Product. All rights not specifically granted under this Agreement are reserved by ZeroHero. The Software Product is licensed, not sold, for your use. Your license confers no title or ownership in the Software Product and should not be construed as a sale of any rights in the Software Product.

LICENSE CONDITIONS
You shall not:

  • Exploit the Software Product commercially.
  • Reverse engineer, derive source code, modify, decompile, disassemble, or create derivative works of the Software Product, or any parts of the Software Product.

OWNERSHIP
All title, ownership rights and intellectual property rights in and to the Software Product and any and all copies thereof (including, without limitation, any titles, computer code, themes, concepts, methods of operation, related documentation, and artwork incorporated into the Software Product) are owned by ZeroHero. The Software Product is protected by the copyright laws of the United States, international copyright treaties and conventions and other laws.

NO WARRANTIES
ZeroHero expressly disclaims any warranty for the Software Product. The Software Product and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties of merchantability and fitness for a particular purpose. The entire risk arising out of use or performance of the Software Product remains with you.

NO LIABILITY FOR DAMAGES
In no event shall ZeroHero be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the Software Product, even if ZeroHero has been advised of the possibility of such damages.

TERMINATION
This Agreement is effective until terminated. You may terminate this Agreement at any time by destroying the Software Product. This Agreement will terminate automatically without notice from ZeroHero if you fail to comply with any provisions of this Agreement. All provisions of this Agreement as to ownership, warranties, limitation of liability, remedies, and damages will survive termination.

This Agreement constitutes the entire agreement between you and ZeroHero regarding the Software Product and its use.